Package org.jfree.report.util

# Class DataSetUtility

java.lang.Object
org.jfree.report.util.DataSetUtility

public class DataSetUtility extends Object
Creation-Date: 17.04.2006, 11:43:04

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`static Object`
`getByName(DataSet ds, String column)`
`static Object`
`getByName(DataSet ds, String column, Object defaultVal)`
`static boolean`
`isColumnDefined(String name, DataSet params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getByName

public static Object getByName(DataSet ds, String column) throws DataSourceException

Throws:
  `DataSourceException`

### getByName

public static Object getByName(DataSet ds, String column, Object defaultVal) throws DataSourceException

Throws:
  `DataSourceException`

### isColumnDefined

public static boolean isColumnDefined(String name, DataSet params) throws DataSourceException

Throws:
  `DataSourceException`